# Uses of Class
org.apache.zookeeper.OpResult

Packages that use OpResult
Package
Description
org.apache.zookeeper

## Uses of OpResult in org.apache.zookeeper

Subclasses of OpResult in org.apache.zookeeper
Modifier and Type
Class
Description
`static class`
`OpResult.CheckResult`
A result from a version check operation.
`static class`
`OpResult.CreateResult`
A result from a create operation.
`static class`
`OpResult.DeleteResult`
A result from a delete operation.
`static class`
`OpResult.ErrorResult`
An error result from any kind of operation.
`static class`
`OpResult.GetChildrenResult`
A result from a getChildren operation.
`static class`
`OpResult.GetDataResult`
A result from a getData operation.
`static class`
`OpResult.SetDataResult`
A result from a setData operation.
Classes in org.apache.zookeeper that implement interfaces with type arguments of type OpResult
Modifier and Type
Class
Description
`class`
`MultiResponse`
Handles the response from a multi request.
Methods in org.apache.zookeeper that return types with arguments of type OpResult
Modifier and Type
Method
Description
`List<OpResult>`
Transaction.`commit()`
`List<OpResult>`
MultiResponse.`getResultList()`
`List<OpResult>`
KeeperException.`getResults()`
If this exception was thrown by a multi-request then the (partial) results and error codes can be retrieved using this getter.
`Iterator<OpResult>`
MultiResponse.`iterator()`
`List<OpResult>`
ZooKeeper.`multi(Iterable<Op> ops)`
Executes multiple ZooKeeper operations.
`protected List<OpResult>`
ZooKeeper.`multiInternal(MultiOperationRecord request)`
Methods in org.apache.zookeeper with parameters of type OpResult
Modifier and Type
Method
Description
`void`
MultiResponse.`add(OpResult x)`
Method parameters in org.apache.zookeeper with type arguments of type OpResult
Modifier and Type
Method
Description
`void`
AsyncCallback.MultiCallback.`processResult(int rc, String path, Object ctx, List<OpResult> opResults)`
Process the result of the asynchronous call.